aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--bin/git-pbuilder10
1 files changed, 5 insertions, 5 deletions
diff --git a/bin/git-pbuilder b/bin/git-pbuilder
index fef4d770..e34a8eaa 100644
--- a/bin/git-pbuilder
+++ b/bin/git-pbuilder
@@ -327,17 +327,17 @@ done
# Now we can finally run pdebuild. The quoting here is tricky, but this
# seems to pass everything through properly.
if [ no = "$GIT_PBUILDER_AUTOCONF" ] ; then
- set -x
+ set -e; set -x
pdebuild --pbuilder "$BUILDER" --debbuildopts "$DEBBUILDOPTS" \
"${PDEBUILDOPTS[@]}" -- "${OPTIONS[@]}"
- { set +x; } 2>/dev/null
+ { set +x; } 2>/dev/null; set +e
else
- set -x
+ set -e; set -x
pdebuild --buildresult "$OUTPUT_DIR" --pbuilder "$BUILDER" \
--debbuildopts "$DEBBUILDOPTS" "${PDEBUILDOPTS[@]}" -- "${OPTIONS[@]}"
- { set +x; } 2>/dev/null
+ { set +x; } 2>/dev/null; set +e
fi
-exit "$?"
+exit 0
# Documentation. Use a hack to hide this from the shell. Because of the
# above exit line, this should never be executed.